Subject: bug#10596: closed (Re: bug#10596: 24.0.92; dired with -b switch and deleting files)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Jan 2012 08:24:02 +0000

Your bug report

#10596: 24.0.92; dired with -b switch and deleting files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10596: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10596
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10596: 24.0.92; dired with -b switch and deleting files
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 25 Jan 2012 03:22:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.93

Michael Heerdegen wrote:

> I open a dired buffer with switches containing -b.
>
> When I delete (D) or rename (R) a file containing escaped characters
> (e.g. spaces), the file's line is not automatically removed from the
> dired buffer.  I have to hit g to update the buffer accordingly.

I fixed it for file names containing spaces, tabs or newlines.
I think other, less common chars (eg literal control characters) can
wait for after 24.1.

Subject: 24.0.92; dired with -b switch and deleting files
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Tue, 24 Jan 2012 21:55:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

since some days, dired respects the -b switch.  See #10469 for details.

The problem I found now is the following:

I open a dired buffer with switches containing -b.

When I delete (D) or rename (R) a file containing escaped characters
(e.g. spaces), the file's line is not automatically removed from the
dired buffer.  I have to hit g to update the buffer accordingly.

Thanks,

Michael.

In GNU Emacs 24.0.92.1 (i486-pc-linux-gnu, GTK+ Version 3.2.3)
 of 2012-01-19 on zelenka, modified by Debian
 (emacs-snapshot package, version 1:20120119-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.92/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.92/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/' '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t